Databases
All operations require authentication.
List databasesBeta
Returns the databases of the service, including the engine default database.
Path parameters
Project ID
Service ID
Headers
Pagination cursor
Pagination size
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Whether this is the engine default database created automatically at provisioning time
Unique identifier of the database
Name of the database
Date of the last update to the resource
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ clickhouse/ {serviceId}/ database \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "default": true, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a databaseBeta
Returns the database name and whether it is the engine default database.
Path parameters
Database ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Whether this is the engine default database created automatically at provisioning time
Unique identifier of the database
Name of the database
Date of the last update to the resource
Example uses databaseId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ clickhouse/ {serviceId}/ database/ {databaseId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "default": true, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Create a databaseBeta
Creates a database with the given name.
Path parameters
Project ID
Service ID
Request body (required)
Name of the database to create
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Whether this is the engine default database created automatically at provisioning time
Unique identifier of the database
Name of the database
Date of the last update to the resource
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ clickhouse/ {serviceId}/ database \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "default": true, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Delete a databaseBeta
Permanently deletes the database.
Path parameters
Database ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Whether this is the engine default database created automatically at provisioning time
Unique identifier of the database
Name of the database
Date of the last update to the resource
Example uses databaseId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ clickhouse/ {serviceId}/ database/ {databaseId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "default": true, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}